$ACRONIS_MARKER = "Backup Agent"
$HKEY_LOCAL_MACHINE = 2147483650
$strKeyPath = "SOFTWARE\Microsoft\Windows\CurrentVersion\Installer\UserData"

$objReg = [WMIClass]"root\default:StdRegProv"

$arrSubKeys = $objReg.EnumKey($HKEY_LOCAL_MACHINE, $strKeyPath)
foreach ($profile in ($arrSubKeys.sNames))
{
	$productsKeyPath = $strKeyPath + "\" + $profile + "\Products"
	$products = $objReg.EnumKey($HKEY_LOCAL_MACHINE, $productsKeyPath)
	foreach ($product in ($products.sNames)) {
		$productKeyPath = $productsKeyPath + "\" + $product + "\" + "InstallProperties"
		$displayName = $objReg.GetStringValue($HKEY_LOCAL_MACHINE, $productKeyPath, "DisplayName")
		if($displayName.sValue -and $displayName.sValue.IndexOf($ACRONIS_MARKER) -ne -1) {
			$uninstallString = $objReg.GetStringValue($HKEY_LOCAL_MACHINE, $productKeyPath, "UninstallString")
			$cmdAndArgs = $uninstallString.sValue.Split(" ",2);
			& $cmdAndArgs[0] $cmdAndArgs[1] /q
		}
	}
}
